
:root{
    --orange: #ff7722;
    --blue:#4949d8;
    --red:#ff6164;
    --gold:#cfa04f;
    --gold-dark:#905f20;
    --light:#f5f5f5;
}

body{
    
    /* font-family: 'Protest Strike', sans-serif; */
    /* font-family: 'Ubuntu', sans-serif; */
    font-family: "Poppins", sans-serif;
}

.fstyle-1{
    font-family: 'Protest Strike', sans-serif;
}

.bg-light{background-color: var(--light) !important;}

.btn-outline-orange{
    background-color: white;
    color: var(--gold);
    border: 1px solid var(--gold);
    transition: all 0.5s ease-in-out;


    &:hover{
        background-color: var(--gold);
        color: white;
        border: 1px solid var(--gold);
        transition: all 0.5s ease-in-out;
    }
}

.btn-outline-gold{
    background-color: white;
    color: var(--gold);
    border: 1px solid var(--gold);
    transition: all 0.5s ease-in-out;

    &:hover{
        background-color: var(--gold);
        color: white;
        border: 1px solid var(--gold);
        transition: all 0.5s ease-in-out;

    }
}

.video{
    width: 100%;
    height: 450px;
    object-fit: cover;
    background-position: bottom center;
}

.btn-blue{
    /* background-color: var(--gold-dark); */
    background: rgb(117,117,249);
    background: linear-gradient(0deg, rgba(117,117,249,1) 0%, rgba(73,73,216,1) 100%);
    color: white;
    border: 1px solid var(--gold-dark);
    transition: all 0.5s ease-in-out;

    &:hover{
        /* background-color: white; */
        background: rgb(117,117,249);
        background: linear-gradient(0deg, rgba(73,73,216,1) 0%, rgba(117,117,249,1) 100%);
        /* color: var(--gold-dark); */
        color: white;
        /* border: 1px solid var(--gold-dark); */
        transition: all 0.5s ease-in-out;
    }
}

.btn-outline-blue{
    background-color: white;
    color: var(--gold-dark);
    border: 1px solid var(--gold-dark);
    transition: all 0.5s ease-in-out;

    &:hover{
        /* background-color: rgb(226, 226, 226); */
        background: #e7e7ff;
        background: linear-gradient(0deg, #e7e7ff 0%, #d4d4ff 100%);
        color: var(--gold-dark);
        border: 1px solid var(--gold-dark);
        transition: all 0.5s ease-in-out;
    }
}



.text-orange{ color: var(--gold);}
.text-blue{ color: var(--gold-dark);}
.text-gold{ color: var(--gold);}

.navbar{
    /* font-family: 'Noto Serif', serif; */
    transition: all 0.5s ease-in-out;
    padding: 0;
    & .navbar-brand{
        font-size: 35px !important;

        & .logo{
            width: 80px;
        }
    }

  
    & .navbar-nav{

        & .nav-item{
            padding-left: 8px;
            padding-right: 8px;

           

            & .nav-link{
                /* color: rgb(206, 206, 206); */
                text-transform: uppercase;
                font-weight: 600;
                transition: all 0.5s ease-in-out;

                &:hover{
                    color: var(--gold);
                    transition: all 0.5s ease-in-out;
                }
                
            }
        }

    }
    &.scrolled {
        background: #ffffff;
        transition: all 0.5s ease-in-out;
        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.08);
      }
}

@media screen and (max-width: 768px) {
    .navbar{
        background-color: white;
    }
}


.hero{
    background-image: url('../img/hero-bg.svg');
    background-size: cover;
    background-position: center;


    & .hero-blur{
        backdrop-filter: blur(10px);
        background-color: rgba(255, 255, 255, 0.575);

    }

   & .back-img{
        background-image: url('../img/me.png');
        background-position: top center;
        background-size: cover;
        background-repeat: no-repeat;
        width: 100%;
        height: 600px;
        filter: grayscale(100%);
    }
    
}



.section-bg{
    background-image: url('../img/bgback.jpg');
    background-size: cover;
    background-position: center;

    & .hero-blur{
        backdrop-filter: blur(10px);
        background-color: rgba(255, 255, 255, 0.575);
    }
}
.title{     font-size: calc(1.2rem + 1.5vw); }
.border-down{ border-bottom: 3px solid var(--gold) !important; }

.img-w-15{
    width: 25%
}


@media (min-width: 1000px) and (max-width: 100vw)   {
    /* Custom CSS for hover effect */
.navbar-nav .nav-item:hover .dropdown-menu {
    display: block;
  }
  
  .dropdown-menu {
    /* display: none;
    position: absolute;
    background-color: #f8f9fa;
    min-width: 10rem;
    z-index: 1000; */

    & .arrow-up{
        position: absolute;
        top: -27px;
        color: var(--gold);
        font-size: 30px;
        left: 20px;
        transform: translateX(-50%);
    }
  }
  
  .dropdown-menu .dropdown-item {
    color: #212529;
  }
  
  .dropdown-menu .dropdown-item:hover {
    background-color: #e9ecef;
    color: var(--gold-dark);
  }

  /* Custom CSS for Mega Menu */
.mega-menu {
    min-width: 700px !important;
    margin: auto !important;

    
  }
  
  .mega-menu .row {
    margin: 0;
  }
  
  .mega-menu h5 {
    margin-top: 10px;
    margin-bottom: 10px;
  }
}


.grayscale{
    filter: grayscale(80%);
}

.bg-skills{
    /* background-color: rgba(255, 255, 255, 0.459); */
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.08);
    backdrop-filter: blur(10px);

    & .icon-skill{
        width: 80px;
        height: 80px;
    }
}


.hr-line{
    width: 100%;
    height: 3px;
    background-color: var(--gold);
    opacity: 0.5;
}

  .swiper {

    & .swiper-pagination-bullet {
border: 5px solid var(--gold);
padding: 6px;

&.swiper-pagination-bullet-active{
    background-color: var(--gold);
}

    }

    & .swiper-button-next, & .swiper-button-prev {
        color: var(--gold);
        border: 3px solid var(--gold);
        background-color: white;
        padding: 10px;
        border-radius: 50%;
        opacity: 0.6;
        width: 50px;
        height: 50px;

        &:hover{
            opacity: 1;
        }
    }

    & .swiper-button-next:after, .swiper-button-prev:after {
        font-size: 25px !important;
    }

  }


  .footer{
    color: var(--gold-dark);
    background-color: rgb(212, 212, 212);
    padding: 20px;
    background-image: url('../img/bgmap.png');
    background-size: cover;
    background-position: center;
    background-blend-mode: overlay;


    & .logo{
        width: 70%;
    }

    & ul {
        list-style: none;
        padding: 0;

        & li{
            
            &::before{
                content: '> ';
                color: var(--gold-dark);
            }
        }
    }
    & a{
        text-decoration: none;
        color: rgb(43, 43, 43);

        &:hover{
            color: var(--gold-dark);
        }

       
    }
  }

  .copyright{
    background-color: var(--gold-dark);
    color: white;
  }